[tls.options]
  [tls.options.default]
    minVersion = "VersionTLS12"
    sniStrict = true
    cipherSuites = [
      # ANSSI https://www.ssi.gouv.fr/uploads/2020/03/anssi-guide-recommandations_de_securite_relatives_a_tls-v1.2.pdf
      # Order here is important

      # TLS 1.3 Recommended
      "TLS_AES_256_GCM_SHA384",
      "TLS_AES_128_GCM_SHA256",
      "TLS_AES_128_CCM_SHA256",
      "TLS_CHACHA20_POLY1305_SHA256",

      # TLS 1.2 Recommended
      "TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384",
      "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256",
      "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305",
      "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384",
      "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256",
      "TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305"
    ]
    curvePreferences = ["CurveP521","CurveP384"]

[http.middlewares]
  [http.middlewares.default.headers]
    stsSeconds = 31536000
    stsIncludeSubdomains = true
